"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildSchemaTypes = void 0;
const _models_1 = require("../models");
const _generators_1 = require("../generators");
const _store_1 = require("../store");
const OBJECT_TYPES = [_models_1.TypeKind.OBJECT, _models_1.TypeKind.INTERFACE, _models_1.TypeKind.INPUT_OBJECT];
function buildSchemaTypes() {
    const { schemaTypes } = _store_1.SchemaStore;
    return schemaTypes.map((type) => {
        if (OBJECT_TYPES.includes(type.kind)) {
            return _generators_1.getObjectTSInterfaces(type, type.kind === _models_1.TypeKind.INPUT_OBJECT);
        }
        else if (type.kind === _models_1.TypeKind.UNION) {
            return _generators_1.generateUnionType(type);
        }
        else if (type.kind === _models_1.TypeKind.ENUM) {
            return _generators_1.generateEnumType(type);
        }
        else {
            return '';
        }
    });
}
exports.buildSchemaTypes = buildSchemaTypes;
