"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParametersStore = void 0;
class ParametersConstructor {
    constructor() {
        this.defaultScalars = {
            ID: 'string',
            String: 'string',
            Int: 'number',
            Float: 'number',
            Upload: 'File',
            Boolean: 'boolean',
            Json: 'string',
        };
        this.prefix = '';
        this.suffix = '';
        this.genFragments = false;
        this.codegenFunctions = false;
        this.codegenReactHooks = false;
        this.codegenTemplates = false;
        this.codegenVueHooks = false;
    }
    get isCodeGen() {
        return (this.codegenReactHooks ||
            this.codegenFunctions ||
            this.codegenTemplates ||
            this.codegenVueHooks);
    }
    addScalars(scalars) {
        this.defaultScalars = {
            ...this.defaultScalars,
            ...scalars,
        };
    }
    setParamaters(data) {
        if (data.scalars)
            this.addScalars(data.scalars);
        if (data.prefix != null)
            this.prefix = data.prefix;
        if (data.suffix != null)
            this.suffix = data.suffix;
        this.genFragments = !!data.genFragments;
        this.codegenFunctions = !!data.codegenFunctions;
        this.codegenReactHooks = !!data.codegenReactHooks;
        this.codegenVueHooks = !!data.codegenVueHooks;
        this.codegenTemplates = !!data.codegenTemplates;
    }
    get listScalars() {
        return this.defaultScalars;
    }
}
exports.ParametersStore = new ParametersConstructor();
